ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022621ClearOSapp-firewall - Firewallpublic2018-12-22 08:062019-02-01 12:27
ReporterNickH 
Assigned ToNickH 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version7.6.0 Updates 
Target Version7.6.0 UpdatesFixed in Version7.5.0 Updates 
Summary0022621: Add "if" IPv4 and IPv6 blocks to local
DescriptionTo guide the user, it would be a good idea to add the following structure to the /etc/clearos/firewall.d/local file:

# IPv4 Custom Firewall Rules
#===========================

if [ "$FW_PROTO" == "ipv4" ]; then true
    # Add IPv4 rules here
fi

# IPv6 Custom Firewall Rules
#===========================

if [ "$FW_PROTO" == "ipv6" ]; then true
    # Add IPv6 rules here
fi

This will avoid rules being applied twice and will avoid rules with IPv4 IP addresses from being run during the IPv6 firewall start which makes the firewall show as "failed".
TagsNo tags attached.
Attached Files

- Relationships


- Issue History
Date Modified Username Field Change
2018-12-22 08:06 NickH New Issue
2018-12-22 08:06 NickH Status new => assigned
2018-12-22 08:06 NickH Assigned To => NickH
2018-12-22 08:07 NickH Summary Add if IPv4 and IPv6 blocks to local => Add "if" IPv4 and IPv6 blocks to local
2019-01-15 03:17 NickH Note Added: 0008741
2019-02-01 12:27 NickH Status assigned => resolved
2019-02-01 12:27 NickH Fixed in Version => 7.5.0 Updates
2019-02-01 12:27 NickH Resolution open => fixed